Page MenuHomePhabricator

LinkedWiki is released under a non-free license
Closed, ResolvedPublic

Description

The LinkedWiki extensions is released under the non-free CC-BY-NC-SA-3.0 license. :( As a matter of both policy and principle, we don't allow non-free code or content in Wikimedia Gerrit.

Either the extension can be relicensed to any OSI/FSF approved free license (dropping the non-commercial clause of the license would work) or it will need to find a different location to host code (Github/Gitlab/etc.).

Event Timeline

Legoktm triaged this task as High priority.Mar 7 2018, 7:06 AM
Legoktm created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 7 2018, 7:06 AM
Karima claimed this task.EditedMar 8 2018, 10:00 AM

9 or 8 years ago, I choosed CC-BY-NC-SA-3.0 because it was the same license of Wikipedia, 9 years ago. I don't understand the problem after 9 years.

I will move the project on github this weekend... I will remove NC but I am very disappointed by this behavior that leads to monetize (via licenses "free work") at all costs voluntary work that remains accessible to wiki that are really free.

Wikipedia uses CC BY-SA. CC BY-NC-SA is a different license.

Karima added a comment.EditedMar 8 2018, 10:29 AM

For me, CC-BY-NC-SA-3.0 is better. I developped since 2010 this extension almost alone and I dont undestand why I will give this time for nothing to private companies.

Karima added a comment.Mar 8 2018, 3:52 PM

@Legoktm CC BY-SA 4.0 is ok ?

The FSF states that CC BY-SA "is a copyleft free license". (For completeness, it also says that "it should not be used on software".)

Karima added a comment.Mar 8 2018, 4:19 PM

I will remove NC... I hope you know what you are doing.

@Legoktm CC BY-SA 4.0 is ok ?

Yep, that's a free license. The first principle of the free software definition, is "..freedom to run the program as you wish, for any purpose" (including commercial). As a tangent, you might find the AGPL more to your liking. But simply removing the NC clause from the license is enough to make the extension free. Thanks for understanding :)

@Karima: This task is in the "Done (merged) workboard column. Is there a specific reason why the status of this task is still open and not resolved? You can change the task status via the Add Action...Change Status dropdown. Thanks!

Karima closed this task as Resolved.Dec 29 2018, 10:06 AM
Aklapper reopened this task as Open.EditedAug 10 2019, 11:42 PM

Reopening and merging T230287 into this task as this is not completely done yet.
Since https://phabricator.wikimedia.org/rELIWa4c6b37b2f3302949a247a74e0857daf823101b0 , the information is inconsistent:

  • 22 source files say @license CC-by-sa V4.0, 5 source files say @license CC-by-nc-sa V3.0, 1 source file says @license CC-by-nc-sa V4.0
  • 27 source files say This work is licensed under the Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License. To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-sa/3.0/ while 1 source file says This work is licensed under the Creative Commons Attribution-ShareAlike 4.0 Unported License. To view a copy of this license, visit https://creativecommons.org/licenses/by-sa/4.0/

Furthermore, the license information on https://www.mediawiki.org/wiki/Extension:LinkedWiki needs an update.

Change 529599 had a related patch set uploaded (by Karima Rafes; owner: Karima Rafes):
[mediawiki/extensions/LinkedWiki@master] Refresh license in all files T189083

https://gerrit.wikimedia.org/r/529599

Change 529599 merged by Karima Rafes:
[mediawiki/extensions/LinkedWiki@master] Refresh license in all files T189083

https://gerrit.wikimedia.org/r/529599

Karima closed this task as Resolved.Aug 11 2019, 3:11 PM

Sorry... I cleaned. It's ok now.

Aklapper reopened this task as Open.Aug 11 2019, 5:14 PM

Thanks. The three files under /test/lua/ all include both -- @license CC-by-sa V4.0 and then This work is licensed under the Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License, hence reopening this task. (Also, in test_functions.lua, the header is duplicated?)
Also, https://www.mediawiki.org/wiki/Extension:LinkedWiki needs an edit after this is done.

Change 529613 had a related patch set uploaded (by Karima Rafes; owner: Karima Rafes):
[mediawiki/extensions/LinkedWiki@master] Refresh license for 3 files lua T189083

https://gerrit.wikimedia.org/r/529613

Change 529613 merged by Karima Rafes:
[mediawiki/extensions/LinkedWiki@master] Refresh license for 3 files lua T189083

https://gerrit.wikimedia.org/r/529613

Karima closed this task as Resolved.Aug 11 2019, 7:33 PM

Sorry for these 3 files, I'm tired ;)
It's done.